function logEvent(message, withTime=1) {
    var logElem = document.querySelector(".upgrade_report");

    if ( withTime == 1 ) {
        var time = new Date();
        var timeStr = time.toLocaleTimeString();
        logElem.innerHTML += "<strong>"+ timeStr + "</strong> " + message + "<br/>";
    }
    else {
        logElem.innerHTML +=  message + "<br/>";
    }
}

function confirm_maj() {
    swal("Voulezvousfairela<br>mise jourvers "+ newversion + " maintenant?<br>Cette oprationprendraquelquessecondes, voire minutes. Les utilisateurs ne pourront pas se connecter pendant cette courte priode.",
    {addButton: 1, classButton: "btn-primary confirm", textButton: "Confirmer"},
    {class: 'icon swal2-info', style: 'flex', disableButton: 0});

    $('.confirm').on('click', function() {
        closeSwal();
        document.getElementById("update_button").style.display = "none";
        logEvent("<b>Dbut mise  jour</b>");
        maintenance_on ();
        return 0;
    });
}

function maintenance_on () {
    // activate maintenance mode
    logEvent("Passage de la base en mode maintenance <div id='spin_0' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='maintenance mode'></i></div>");
    $.ajax({type: "POST", url: 'update_app.php', dataType: 'json', data: {reason: 'maintenance_on'},
        success: function() {
            document.getElementById("spin_0").innerHTML  = "<i class='fa fa-check' style='color:green' title='passsage en mode maintenance russi'></i>";
            logEvent("Maintenance mode activ <i class='fa fa-check' style='color:green' title='Maintenance mode activ'></i>");
            download ();
        },
        error: function() {
            document.getElementById("spin_0").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du passsage en mode maintenance'></i>";
            logEvent("Uneerreurestsurvenulors du passage en mode maintenance. <i class='fas fa-exclamation-circle'  style='color:red' title='erreur mode maintenance'></i>");
            return 1;
        }
    });
    return 0;
}

function download () {
    // download new package
    logEvent("Dbut tlchargement du nouveau package <div id='spin_1' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='tlchargement en cours'></i></div>");
    $.ajax({type: "POST", url: 'download_package.php', dataType: 'json', data: {package: newpackage, md5sum: md5, reason: 'Mise a jour'},
        success: function() {
            document.getElementById("spin_1").innerHTML  = "<i class='fa fa-check' style='color:green' title='tlchargement russi'></i>";
            logEvent("Tlchargement russi de <b>" + newpackage +"</b> <i class='fa fa-check' style='color:green' title='tlchargement russi'></i>");
            if ( auto_backup == 1 ) backup ();
            else unzip ();
        },
        error: function() {
            document.getElementById("spin_1").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du tlchargement'></i>";
            logEvent("Uneerreurestsurvenulorsdutlchargementdelamise jour. Veuillezressayerplustard. <i class='fas fa-exclamation-circle'  style='color:red' title='erreur lors du tlchargement'></i>");
            return 1;
        }
    });
    return 0;
}

function backup () {
    // backup if needed
    logEvent("Dbut Backup de la base de donnes <div id='spin_2' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='backup'></i></div>");
    $.ajax({type: "POST", url: 'update_app.php', dataType: 'json', data: {reason: 'backup'},
        success: function() {
            document.getElementById("spin_2").innerHTML  = "<i class='fa fa-check' style='color:green' title='database backup russi'></i>";
            logEvent("Database backup russi <i class='fa fa-check' style='color:green' title='backup russi'></i>");
            unzip ();
        },
        error: function() {
            document.getElementById("spin_2").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du backup'></i>";
            logEvent("Uneerreurestsurvenulorsdu backup de la database. <i class='fas fa-exclamation-circle'  style='color:red' title='erreur lors du backup'></i>");
            return 1;
        }
    });
    return 0;
}

function unzip () {
    // unzip
    logEvent("Dbut extraction de "+ newpackage +" <div id='spin_3' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='unzip'></i></div>");
    $.ajax({type: "POST", url: 'update_app.php', dataType: 'json', data: {package: newpackage, reason: 'unzip'},
        success: function() {
            document.getElementById("spin_3").innerHTML  = "<i class='fa fa-check' style='color:green' title='unzip russi'></i>";
            logEvent("Extraction russie <i class='fa fa-check' style='color:green' title='unzip russi'></i>");
            db_upgrade ();
        },
        error: function() {
            document.getElementById("spin_3").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors unzip'></i>";
            logEvent("Uneerreurestsurvenulorsde l'extraction des nouveaux fichiers. <i class='fas fa-exclamation-circle'  style='color:red' title='erreur lors unzip'></i>");
            return 1;
        }
    });
    return 0;
}

function db_upgrade () {
    // db_upgrade
    logEvent("Dbut upgrade database vers <b>"+ newversion +"</b> <div id='spin_4' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='db_upgrade'></i></div>");
    $.ajax({type: "POST", url: 'update_app.php', dataType: 'json', data: {package: newpackage, reason: 'db_upgrade'},
        success: function (data) {
            if (data == 2) {
                closeSwal();
                document.getElementById("spin_4").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='version de la base incompatible avec les fichiers.'></i>";
                swal("La base de donnes est incompatible avec le code de l'application web<br>\
                version de l'application web:<b> "+newversion+"</b><br>\
                version requise pour la base de donnes:<b> "+newdbversion+"</b><br>\
                Vous devez manuellement excuter les fichiers d'upgrade sur la base(voir rpertoire sql)<br>\
                Vous devez dsactiver manuellement <br>le mode maintenance");
                logEvent("Erreur: Pas de fichier sql d'upgrade trouv <i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du database upgrade'></i>");
                return 1;
            }
            else if (data == 1) {
                closeSwal();
                document.getElementById("spin_4").innerHTML  = "<i class='fa fa-check' style='color:green' title='database upgrade ralis mais quelques erreurs'></i>";
                swal("La mise  jour vers la version "+newdbversion+" a gnr des erreurs non bloquantes<br> <a href = "+logfile+" target=_blank>Consulter le rapport d'erreur.</a><br>Nous vous invitons  corriger les erreurs manuellement.");
                logEvent("Database upgrade russi mais avec des erreurs <a href='" + logfile + "' target=_blank>Voir le log</a> <i class='fa fa-exclamation-triangle' style='color:orange' title='database upgrade russi mais avec des erreurs'></i>");
            }
            else if (data == 0) {
                if ( currentdbversion == newdbversion ) {
                    document.getElementById("spin_4").innerHTML  = "<i class='fa fa-check' style='color:green' title='Pas de changements requis dans la base'></i>";
                }
                else {
                    document.getElementById("spin_4").innerHTML  = "<i class='fa fa-check' style='color:green' title='database upgrade russi'></i>";
                    logEvent("Database upgrade russi <a href='" + logfile + "' target=_blank>Voir le log</a> <i class='fa fa-check' style='color:green' title='database upgrade russi'></i>");
                }
            }
            maintenance_off ();
        },
        error: function() {
            document.getElementById("spin_4").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du database upgrade'></i>";
            logEvent("Uneerreurestsurvenupendant la mise  jour de la base de donnes. <a href='" + logfile + "' target=_blank>Voir le log</a> <i class='fas fa-exclamation-circle' style='color:red' title='erreur lors du database upgrade'></i>");
            return 1;
        }
    });
    return 0;
}

function maintenance_off () {
    // desactivate maintenance mode
    logEvent("Dsactivation du mode maintenance <div id='spin_5' style='display: inline'><i class='fas fa-cog fa-spin fa-lg' title='maintenance mode'></i></div>");
    $.ajax({type: "POST", url: 'update_app.php', dataType: 'json', data: {reason: 'maintenance_off', patch_version: newversion},
        success: function() {
            document.getElementById("spin_5").innerHTML  = "<i class='fa fa-check' style='color:green' title='dsactivation mode maintenance russi'></i>";
            logEvent("Maintenance mode dsactiv <i class='fa fa-check' style='color:green' title='Maintenance mode dsactiv'></i>");
            logEvent("<b>Fin de la mise  jour. Vous utilisez maintenant " + newversion + "</b> ");
            logEvent("<br>Pensez  purger le cache du navigateur (CTRL + F5)",withTime=0);
        },
        error: function() {
            document.getElementById("spin_5").innerHTML  = "<i class='fas fa-exclamation-circle' style='color:red' title='erreur lors de la dsactivation mode maintenance'></i>";
            logEvent("Uneerreurestsurvenulors de la dsactivation du mode maintenance. <i class='fas fa-exclamation-circle' style='color:red' title='erreur mode maintenance'></i>");
            return 1;
        }
    });
    return 0;
}